%define	name	gnosamba
%define	version	0.3.3
%define	release	5mdk

Summary:	GnoSamba is a GUI tool for the Configuration of Samba.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Networking/Other
License:	GPL
Url:		http://www.open-systems.com/gtksamba.html
Source:		%{name}-%{version}.tar.bz2
Requires:	samba, gtk+ >= 1.2.0, gnome-libs >= 1.0
Obsoletes:	gtksamba, gtksamba-static
Buildroot:	%{_tmppath}/%{name}-buildroot

%description
GnoSamba is a GUI tool for the Configuration of the Samba, the SMB               
file server on X11/Unix. It will read, edit and write /etc/smb.conf,             
an alternate configuration file, or from a network. It uses the GTK              
toolkit and requires Gtk+ 1.2.x and Gnome-libs 1.0

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure

%make


%install
%makeinstall

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/*

%clean
rm -r $RPM_BUILD_ROOT

%changelog
* Thu Jul 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-5mdk
- rebuild

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-4mdk
- rebuild

* Fri Sep 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-3mdk
- BM
- macros

* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3.3-2mdk
- fix group

* Thu Feb 24 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build

* Sat May 22 1999 Ryan Weaver <ryanw@infohwy.com>
  [gnosamba-0.3.3-1]
- Version 0.3.3 - 5/21/99
- Renamed application GnoSamba, dropped support for Gtk Only,
  i.e. gnomelibs are required
- Incorporated a wizard for creating new service.
- Added a choice-box widget for option prompting.
- Added new multi-way guru (wizard) widget for guiding thru
  configurations.
- Gnomified the remainder of the dialog boxes.
- Renamed application GnoSamba, dropped support for Gtk Only,
  i.e. gnomelibs are required
- Incorporated some fixes and improvements from Debian packager
  Mitch Blevins mblevin@debian.org
- Miscellaneous bug fixes

* Wed May 19 1999 Ryan Weaver <ryanw@infohwy.com>
  [gtksamba-0.3.2pl1-2]
- Building against gtk+-1.2.3

* Wed Jan 20 1999 Ryan Weaver <ryanw@infohwy.com>
  [gtksamba-0.3.2pl1-1]
- Version 0.3.2pl1 - 01/20/99	
- Fixed incompatibility with gtk+-1.0.6 and some 1.1.x versions.

* Wed Jan 20 1999 Ryan Weaver <ryanw@infohwy.com>
  [gtksamba-0.3.2-1]
- Version 0.3.2 - 01/20/99	
- Gnomified most of the dialog boxes, and improved them under Gtk.
- Gnomified part of the man page access, and added testparm and
  smbstatus to it.
- Included MANPATH search on search for man page
- Fixed paned window resize on main window resize.
- Misc. cleanup and fixes.

* Mon Jan  4 1999 Ryan Weaver <ryanw@infohwy.com>
  [gtksamba-0.3.1-1]
- Version 0.3.1 - 01/03/99
- Now using both GNU autoconf and automake
- Optional support for Gnome is now included.
- Added capability to restart Samba
- Added support for preferences.
- Miscellaneous improvements.

* Sun Dec 27 1998 Ryan Weaver <ryanw@infohwy.com>
  [gtksamba-0.3.0-1]
- Version 0.3.0 - 12/26/98
- Now using GNU autoconf.
- Incorporated a structure defining all parameter classes and types
  and added and dialog show all parameters available organized by type
- Added specialized dialogs for editing for inserting string, integer,
  octal and boolean type parameters, including checks for acceptable
  values.
- Incorporated patch from Pavel A. Sher <pavel@lime.hop.stu.neva.ru>
  adding support for gzipped man pages and latin character
  set. Thank you Pavel!!
- Included prompt when exiting via window manager.
- Updated the depricated menu factory to an item factory.
- Replaced the process of adding/removing clist widgets from a scrolled
  window when changing services to using a notebook with hidden tabs
  for the clist widgets
- Many miscellaneous fixes.
	
* Tue Dec  8 1998 Ryan Weaver <ryanw@infohwy.com>
  [gtksamba-0.1.4-2]
- Split into 2 packages, 1 static, 1 dynamic.

* Mon Dec  7 1998 Ryan Weaver <ryanw@infohwy.com>
  [gtksamba-0.1.4-1]
- Version 0.1.4 - 12/6/98
   Fixed incompatibility with gtk+-1.1.5
- Version 0.1.3 - 12/5/98
   Added interfaces to testparm and smbstatus
   Fixed case sensitivity in parameter lookup.

* Mon Nov 23 1998 Ryan Weaver <ryanw@infohwy.com>
  [gtksamba-0.1.2-1]
- Moved from using Fryguy_ to Ryan Weaver
- PGP signing RPMs
- Version 0.1.2 - 11/20/98
  - Added a help system that derives it's content from the smb.conf
    man page.

* Wed Nov 11 1998 Fryguy_ <fryguy@falsehope.com>
  [gtksamba-0.1.1-1]
- Version 0.1.1 - 11/10/98
  - Added dialogs for insert service, delete service, insert
    parameter, delete parameter and messages.
  - Added a toolbar
  - Updated the menus
  - Fixed seg-fault on closing a window when a dialog is open.

* Tue Nov 10 1998 Fryguy_ <fryguy@falsehope.com>
  [gtksamba-0.1.0-2]
- Passing $RPM_OPT_FLAGS to make via CC="gcc $RPM_OPT_FLAGS"

* Wed Nov  4 1998 Fryguy_ <fryguy@falsehope.com>
  [gtksamba-0.1.0-1]
- This is an early devlopment release, not all functionality is
  implemented. It will let you edit any existing parameter from a text
  entry, but without any checking.
